<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>

    <ion-title>{{ "favorites.title" | translate }}</ion-title>

    <!-- TODO search favorites -->
  </ion-navbar>
</ion-header>

<ion-content>
  <!-- cross-promo -->
  <!-- <ion-list *ngIf="!AppsIsEmpty" no-padding>
    <ion-list-header color="darkstyle">
      Рекомендуем
    </ion-list-header>
    <ng-container *ngFor="let app of apps">
      <ion-item
        *ngIf="app.id !== 'com.topratedapps.warmovies'"
        (click)="utils.openMarket(app.id)"
        class="my-padded-item"
        wrap-text
        text-wrap
      >
        <ion-thumbnail item-start>
          <img src="{{ app.img }}" />
        </ion-thumbnail>
        {{ app.title }}
        <ion-note style="vertical-align:super">Ad&nbsp;</ion-note>
        <ion-icon float-right color="secondary" name="more"></ion-icon>
      </ion-item>
    </ng-container>
  </ion-list> -->

  <ng-container *ngIf="movies | async as movies; else noMoviesBlock">
    <ng-container *ngIf="movies.length > 0; else noMoviesBlock">
      <movie-list
        [movies]="movies"
        (onMovieClick)="onMovieClick()"
      ></movie-list>

      <pagination
        [prevPageEnabled]="prevPageEnabled | async"
        [nextPageEnabled]="nextPageEnabled | async"
        (prevPage)="prevPage()"
        (nextPage)="nextPage()"
      ></pagination>
    </ng-container>
  </ng-container>

  <ng-template #noMoviesBlock>
    <p padding-left>{{ "favorites.no-movies-found" | translate }}</p>
  </ng-template>
</ion-content>
